Tickets
Transfer queue and/or agent
Transfers the ticket to another queue, another agent, or both. The ticket moves to pending. Provide at least one of the two fields.
POST
/
tickets
/
{id}
/
transfer
Transfer queue and/or agent
curl --request POST \
--url https://api.connectadesk.com/api/v1/tickets/{id}/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queueId": 7,
"userId": 3
}
'import requests
url = "https://api.connectadesk.com/api/v1/tickets/{id}/transfer"
payload = {
"queueId": 7,
"userId": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({queueId: 7, userId: 3})
};
fetch('https://api.connectadesk.com/api/v1/tickets/{id}/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/tickets/{id}/transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queueId' => 7,
'userId' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/tickets/{id}/transfer"
payload := strings.NewReader("{\n \"queueId\": 7,\n \"userId\": 3\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/tickets/{id}/transfer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queueId\": 7,\n \"userId\": 3\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/tickets/{id}/transfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queueId\": 7,\n \"userId\": 3\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 5120,
"status": "open",
"unreadMessages": 2,
"lastMessage": "Perfeito, vou querer o tamanho M",
"isGroup": false,
"automation": false,
"contact": {
"id": 842,
"name": "Maria Silva",
"number": "5511987654321",
"numberCountry": "BR",
"email": "maria.silva@exemplo.com.br",
"code": "CLI-00842",
"cpfCnpj": "12345678909",
"origin": "site",
"profilePicUrl": "https://cdn.exemplo.com/avatars/842.jpg",
"isGroup": false,
"instagramUsername": "maria.silva",
"lid": null,
"sourceUrl": "https://loja.exemplo.com.br/promo",
"sourceId": "23851234567890123",
"headline": "Coleção de inverno",
"mediaType": "image",
"mediaUrl": "https://cdn.exemplo.com/anuncios/inverno.jpg",
"utmSource": "instagram",
"utmMedium": "cpc",
"utmCampaign": "inverno-2026",
"utmId": "6543210987",
"fbclid": "IwAR0xYzAbC123",
"gclid": null,
"ctwaClid": null,
"tags": [
{
"id": 3,
"name": "Cliente VIP",
"color": "#6941C6"
}
],
"customFields": [
{
"key": "plano",
"value": "Ouro",
"customFieldId": 91,
"name": "Plano",
"type": "select"
}
],
"lastChannel": {
"id": 11,
"name": "Instagram Loja",
"type": "instagram"
},
"createdAt": "2026-07-14T13:22:05.412Z",
"updatedAt": "2026-08-18T09:41:17.883Z"
},
"queue": {
"id": 13,
"name": "Comercial",
"color": "#0E7490"
},
"user": {
"id": 3,
"name": "Gabriel Goulart"
},
"channel": {
"id": 11,
"name": "Instagram Loja",
"type": "instagram"
},
"tags": [
{
"id": 3,
"name": "Cliente VIP",
"color": "#6941C6"
}
],
"metaWindowOpenTimestamp": "2026-08-18T14:20:03.000Z",
"metaWindowType": 24,
"protocol": {
"id": 21877,
"userId": 3,
"channelId": 11,
"startedFrom": "receptive",
"startedFromContact": true,
"fromApi": false,
"fromAutomation": false,
"campaignSlug": null,
"rated": false,
"nps": null,
"createdAt": "2026-08-18T12:03:44.001Z",
"queuedAt": "2026-08-18T12:03:44.120Z",
"startedAt": "2026-08-18T12:05:10.300Z",
"userFirstAnswerAt": "2026-08-18T12:05:41.002Z",
"lastCustomerReplyAt": "2026-08-18T14:20:03.000Z",
"lastOperatorReplyAt": "2026-08-18T14:27:10.556Z",
"finishedAt": null,
"ratingAt": null,
"metaData": {
"pedido": "PED-48213",
"origem": "site"
}
},
"createdAt": "2026-08-18T12:03:44.001Z",
"updatedAt": "2026-08-18T14:27:10.556Z"
}
}{
"error": {
"code": "ERR_API_FORBIDDEN_SCOPE",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}Authorizations
API token in the sk_live_… format.
Path Parameters
Body
application/json
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": 5120,
"status": "open",
"unreadMessages": 2,
"lastMessage": "Perfeito, vou querer o tamanho M",
"isGroup": false,
"automation": false,
"contact": {
"id": 842,
"name": "Maria Silva",
"number": "5511987654321",
"numberCountry": "BR",
"email": "maria.silva@exemplo.com.br",
"code": "CLI-00842",
"cpfCnpj": "12345678909",
"origin": "site",
"profilePicUrl": "https://cdn.exemplo.com/avatars/842.jpg",
"isGroup": false,
"instagramUsername": "maria.silva",
"lid": null,
"sourceUrl": "https://loja.exemplo.com.br/promo",
"sourceId": "23851234567890123",
"headline": "Coleção de inverno",
"mediaType": "image",
"mediaUrl": "https://cdn.exemplo.com/anuncios/inverno.jpg",
"utmSource": "instagram",
"utmMedium": "cpc",
"utmCampaign": "inverno-2026",
"utmId": "6543210987",
"fbclid": "IwAR0xYzAbC123",
"gclid": null,
"ctwaClid": null,
"tags": [
{
"id": 3,
"name": "Cliente VIP",
"color": "#6941C6"
}
],
"customFields": [
{
"key": "plano",
"value": "Ouro",
"customFieldId": 91,
"name": "Plano",
"type": "select"
}
],
"lastChannel": {
"id": 11,
"name": "Instagram Loja",
"type": "instagram"
},
"createdAt": "2026-07-14T13:22:05.412Z",
"updatedAt": "2026-08-18T09:41:17.883Z"
},
"queue": {
"id": 13,
"name": "Comercial",
"color": "#0E7490"
},
"user": { "id": 3, "name": "Gabriel Goulart" },
"channel": {
"id": 11,
"name": "Instagram Loja",
"type": "instagram"
},
"tags": [
{
"id": 3,
"name": "Cliente VIP",
"color": "#6941C6"
}
],
"metaWindowOpenTimestamp": "2026-08-18T14:20:03.000Z",
"metaWindowType": 24,
"protocol": {
"id": 21877,
"userId": 3,
"channelId": 11,
"startedFrom": "receptive",
"startedFromContact": true,
"fromApi": false,
"fromAutomation": false,
"campaignSlug": null,
"rated": false,
"nps": null,
"createdAt": "2026-08-18T12:03:44.001Z",
"queuedAt": "2026-08-18T12:03:44.120Z",
"startedAt": "2026-08-18T12:05:10.300Z",
"userFirstAnswerAt": "2026-08-18T12:05:41.002Z",
"lastCustomerReplyAt": "2026-08-18T14:20:03.000Z",
"lastOperatorReplyAt": "2026-08-18T14:27:10.556Z",
"finishedAt": null,
"ratingAt": null,
"metaData": { "pedido": "PED-48213", "origem": "site" }
},
"createdAt": "2026-08-18T12:03:44.001Z",
"updatedAt": "2026-08-18T14:27:10.556Z"
}
⌘I
Transfer queue and/or agent
curl --request POST \
--url https://api.connectadesk.com/api/v1/tickets/{id}/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queueId": 7,
"userId": 3
}
'import requests
url = "https://api.connectadesk.com/api/v1/tickets/{id}/transfer"
payload = {
"queueId": 7,
"userId": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({queueId: 7, userId: 3})
};
fetch('https://api.connectadesk.com/api/v1/tickets/{id}/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/tickets/{id}/transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queueId' => 7,
'userId' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/tickets/{id}/transfer"
payload := strings.NewReader("{\n \"queueId\": 7,\n \"userId\": 3\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/tickets/{id}/transfer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queueId\": 7,\n \"userId\": 3\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/tickets/{id}/transfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queueId\": 7,\n \"userId\": 3\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 5120,
"status": "open",
"unreadMessages": 2,
"lastMessage": "Perfeito, vou querer o tamanho M",
"isGroup": false,
"automation": false,
"contact": {
"id": 842,
"name": "Maria Silva",
"number": "5511987654321",
"numberCountry": "BR",
"email": "maria.silva@exemplo.com.br",
"code": "CLI-00842",
"cpfCnpj": "12345678909",
"origin": "site",
"profilePicUrl": "https://cdn.exemplo.com/avatars/842.jpg",
"isGroup": false,
"instagramUsername": "maria.silva",
"lid": null,
"sourceUrl": "https://loja.exemplo.com.br/promo",
"sourceId": "23851234567890123",
"headline": "Coleção de inverno",
"mediaType": "image",
"mediaUrl": "https://cdn.exemplo.com/anuncios/inverno.jpg",
"utmSource": "instagram",
"utmMedium": "cpc",
"utmCampaign": "inverno-2026",
"utmId": "6543210987",
"fbclid": "IwAR0xYzAbC123",
"gclid": null,
"ctwaClid": null,
"tags": [
{
"id": 3,
"name": "Cliente VIP",
"color": "#6941C6"
}
],
"customFields": [
{
"key": "plano",
"value": "Ouro",
"customFieldId": 91,
"name": "Plano",
"type": "select"
}
],
"lastChannel": {
"id": 11,
"name": "Instagram Loja",
"type": "instagram"
},
"createdAt": "2026-07-14T13:22:05.412Z",
"updatedAt": "2026-08-18T09:41:17.883Z"
},
"queue": {
"id": 13,
"name": "Comercial",
"color": "#0E7490"
},
"user": {
"id": 3,
"name": "Gabriel Goulart"
},
"channel": {
"id": 11,
"name": "Instagram Loja",
"type": "instagram"
},
"tags": [
{
"id": 3,
"name": "Cliente VIP",
"color": "#6941C6"
}
],
"metaWindowOpenTimestamp": "2026-08-18T14:20:03.000Z",
"metaWindowType": 24,
"protocol": {
"id": 21877,
"userId": 3,
"channelId": 11,
"startedFrom": "receptive",
"startedFromContact": true,
"fromApi": false,
"fromAutomation": false,
"campaignSlug": null,
"rated": false,
"nps": null,
"createdAt": "2026-08-18T12:03:44.001Z",
"queuedAt": "2026-08-18T12:03:44.120Z",
"startedAt": "2026-08-18T12:05:10.300Z",
"userFirstAnswerAt": "2026-08-18T12:05:41.002Z",
"lastCustomerReplyAt": "2026-08-18T14:20:03.000Z",
"lastOperatorReplyAt": "2026-08-18T14:27:10.556Z",
"finishedAt": null,
"ratingAt": null,
"metaData": {
"pedido": "PED-48213",
"origem": "site"
}
},
"createdAt": "2026-08-18T12:03:44.001Z",
"updatedAt": "2026-08-18T14:27:10.556Z"
}
}{
"error": {
"code": "ERR_API_FORBIDDEN_SCOPE",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}
